<?php
/**
*
* @package Hide Custom Profile Fields From Guests
* @copyright (c) 2016 Siava
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace siava\hidefields\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	protected $user;

	public function __construct(
		\phpbb\user $user
	)
	{
		$this->user = $user;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.viewtopic_modify_post_row' => 'viewtopic_modify_post_row',
		);
	}

	public function viewtopic_modify_post_row($event)
	{
		$cp_row = $event['cp_row'];	
		$cp_row = ($this->user->data['user_id'] != ANONYMOUS) ? $cp_row : false;		
		$event['cp_row'] = $cp_row;
	}
}
